     <?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage munix
 * @since munix
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */          
             
                         
if ( post_password_required() ) {
    return;
}
?>
              
    <div class="all-title">
        <?php if ( have_comments() ) : ?>
            <h3 class="sec-title">
                <span>
                <?php
                    $munix_comments_number = get_comments_number();
                    if ( 1 === $munix_comments_number ) {
                    /* translators: %s: post title */
                    printf( esc_html__( 'One thought on &ldquo;%s&rdquo;','munix' ), get_the_title() );
                    } else{
                        printf(
                            /* translators: 1: number of comments, 2: post title */
                            _nx('%1$s Comment found','%1$s comments', $munix_comments_number, 'comments title', 'munix' ),
                            esc_html (number_format_i18n( $munix_comments_number ) ),
                            get_the_title()
                        );
                    }
                ?>
                </span>
            </h3>

           <?php the_comments_navigation(); ?>

           <ul>
                <?php
                     wp_list_comments( array(
                         'style'       => 'ul',
                         'short_ping'  => true,
                         'avatar_size' => 42,
                         'callback' => 'munix_comments',
                    ) );
                ?>
            </ul><!-- .comment-list -->

            <?php the_comments_navigation(); ?>

        <?php endif; // Check for have_comments(). ?>

        <?php
          // If comments are closed and there are comments, let's leave a little note, shall we?
           if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'munix' ) ) :
        ?>
             <p class="no-comments"><?php esc_html__( 'Comments are closed.', 'munix' ); ?></p> 
          <?php endif; ?>
    
        <?php 
            $munix_req      = get_option( 'require_name_email' );
            $munix_aria_req = ( $munix_req ? " aria-required='true'" : '' );

            $munix_comments_args = array
           (
            'submit_button' => '<input class="btn btn-custom" name="%1$s" id="%2$s" type="submit" value="post comment"/>',

            'title_reply'  =>  esc_html__( 'Leave comment', 'munix'  ), 
            'comment_notes_after' => '',  
                
            'comment_field' =>  
                '<div class="col-md-12"><div class="form-wrap"><i class="fa fa-pencil"></i><textarea class="form-control" id="comment" name="comment" placeholder="' . esc_attr__( 'Comment here', 'munix' ) . '" rows="6" aria-required="true" '. $munix_aria_req . '>' .
                '</textarea></div></div>',

            'fields' => apply_filters( 'comment_form_default_fields', array (
                'author' => '<div class="col-md-6"><div class="form-wrap"><i class="fa fa-user-o"></i><input id="author" class="form-control" name="author" placeholder="' . esc_attr__( 'Your Name *', 'munix' ) . '" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
                    '" size="30"' . $munix_aria_req . ' /></div></div>',

            'email' =>'<div class="col-md-6"><div class="form-wrap"><i class="fa fa-envelope-o"></i><input id="email" class="form-control" name="email" placeholder="' . esc_attr__( 'Your Email *', 'munix' ) . '" type="email" value="' . esc_attr(  $commenter['comment_author_email'] ) .
                    '" size="30"' . $munix_aria_req . '/></div></div>',
            
               ) ),
            );
       ?>
    </div>   
            
    <div class="blog-comment-form">
          <?php
           comment_form($munix_comments_args);
          ?>
    </div>