<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package munix
 */
?>
        <footer class="footer">
            <div class="foot-top">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3 col-sm-6 mb-30">
                             <?php dynamic_sidebar('munix-footer-widget-area-1'); ?>
                        </div>
                        <div class="col-md-3 col-sm-6 mb-30">
                             <?php dynamic_sidebar('munix-footer-widget-area-2'); ?>
                        </div>
                        <div class="col-md-3 col-sm-6 mb-30">
                             <?php dynamic_sidebar('munix-footer-widget-area-3'); ?>
                        </div>
                        <div class="col-md-3 col-sm-6 mb-30">
                             <?php dynamic_sidebar('munix-footer-widget-area-4'); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="foot-bottom">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-12">
                            <p>
                                <?php if( get_theme_mod('munix_footer_text') ) : ?>
                                    <span><?php echo wp_kses_post( html_entity_decode(get_theme_mod('munix_footer_text'))); ?></span>
                                <?php else : 
                                    /* translators: 1: poweredby, 2: link, 3: span tag closed  */
                                    printf( esc_html__( ' %1$sPowered by %2$s%3$s', 'munix' ), '<span>', '<a href="'. esc_url( __( 'https://wordpress.org/', 'munix' ) ) .'" target="_blank">WordPress.</a>', '</span>' );
                                     /* translators: 1: poweredby, 2: link, 3: span tag closed  */
                                    printf( esc_html__( ' Theme: munix by: %1$sDesign By %2$s%3$s', 'munix' ), '<span>', '<a href="'. esc_url( __( 'http://wordpress.org/', 'munix' ) ) .'" target="_blank">"'.esc_html__('Munix Themes','munix').'"</a>', '</span>' );
                                endif;  ?>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
    </div>
<?php wp_footer();?>
</body>
</html>