<?php
/**
 * Template part - Features Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package munix
 */

    $munix_slider_section     = get_theme_mod( 'munix_slider_section_hideshow','hide');
    $munix_slider_no        = 3;
    $munix_slider_pages      = array();
    for( $i = 1; $i <= $munix_slider_no; $i++ ) {
        $munix_slider_pages[]    =  get_theme_mod( "munix_slider_page_$i", 1 );
        $munix_slider_btntxt[]    =  get_theme_mod( "munix_slider_btntxt_$i", '' );
        $munix_slider_btnurl[]    =  get_theme_mod( "munix_slider_btnurl_$i", '' );
    }

    $munix_slider_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $munix_slider_pages ),
        'posts_per_page' => absint($munix_slider_no),
        'orderby' => 'post__in'
    ); 
    
    $munix_slider_query = new wp_Query( $munix_slider_args );

    if ($munix_slider_section =='show' && $munix_slider_query->have_posts() ) { ?>

<!-- Start Slider Section -->
        <section class="main-slider">
            <div class="corp-slider theme-2  owl-carousel owl-theme">
                <?php
                    $count = 0;
                    while($munix_slider_query->have_posts()) :
                    $munix_slider_query->the_post();
                ?>
                <div class="slide-item">
                    <img src="<?php the_post_thumbnail_url('full', array('class' => 'img-responsive')); ?>" alt="slide">
                    <div class="slide-overlay">
                        <div class="slide-table">
                            <div class="slide-table-cell">
                                <div class="container">
                                    <div class="slide-content">
                                        <h2><?php the_title(); ?></h2>
                                        <?php the_content(); ?>
                                        <?php if (!empty($munix_slider_btntxt[$count])) { ?>
                                             <a href="<?php echo esc_url($munix_slider_btnurl[$count]); ?>" class="btn btn-custom"><?php echo esc_html($munix_slider_btntxt[$count]); ?></a>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                    $count = $count + 1;
                    endwhile;
                    wp_reset_postdata();
                ?> 
            </div>
        </section>
<!-- End Slider Section -->

 <?php } ?>