<?php
/**
 * The template for displaying search results pages.
 *
 * @package munix
 */
get_header();
if(get_header_image()){
    $munix_overlay = "banner";
    $munix_title   = "banner-heading" ;
 }
 else{
    $munix_overlay = "nobanner";
    $munix_title   = "nobanner-heading" ;
 }

?>

<section class="<?php echo esc_attr($munix_overlay);?>" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>>
        <div class="<?php echo esc_attr($munix_title);?>">
            <?php if ( have_posts() ) : ?>
                <h2> 
                   <?php 
                    /* translators: %s: search term */
                    printf( esc_html__( 'Search Results for : %s', 'munix' ), '<span>' . get_search_query() . '</span>' ); 
                    ?>
                </h2>
            <?php else : ?>
                <h2>
                    <?php
                    /* translators: %s: nothing found term */
                    printf( esc_html__( 'Nothing Found for: %s', 'munix' ), '<span>' . get_search_query() . '</span>' ); 
                    ?>
                </h2>
            <?php endif; ?>
        </div>
</section>
    
<!-- End page-title -->


<!-- Main Content Section -->
  	
			
	   <div class="bg-w sp-70-100">
            <div class="container">
                <div class="col-sm-8 col-md-9">
                    <?php if(have_posts()) : ?>
                        <?php while(have_posts()) : the_post(); ?>
                            <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                <?php get_template_part('content', get_post_format()); ?>
                            </div>
                        <?php endwhile; ?>
                    <!-- pagination -->
                        <div class="finest-pagination">
                            <?php the_posts_pagination(
                                array(
                                    'prev_text' =>esc_html__('&laquo;','munix'),
                                    'next_text' =>esc_html__('&raquo;','munix')
                                        )
                            ); ?>
                        </div>
                    <!-- End pagination -->                 
                    <?php else :  
                        get_template_part( 'content', 'none' );
                    endif; ?>
                </div>
                <div class="col-sm-4 col-md-3">
                    <?php get_sidebar(); ?>
                </div>
            </div>
        </div>
<!-- Main Content Section -->
<?php get_footer(); ?>